// This file is part of noxos and licensed under the MIT open source license

#ifndef LIBNX_STRING_H
#define LIBNX_STRING_H

#include "public/nox/stdtypes.h"

typedef const char* string_t;

uint64_t strlen     (string_t str);
uint64_t str2int    (string_t str, uint32_t base, uint64_t* len);

bool     is_numeric (char chr);
bool     is_lower   (char chr);
bool     is_upper   (char chr);

#endif //LIBNX_STRING_H
