// This file is part of noxos and licensed under the MIT open source license

#ifndef LIBNX_MATH_H
#define LIBNX_MATH_H

#include "stdtypes.h"

int64_t min(int64_t a, int64_t b);
int64_t max(int64_t a, int64_t b);
double  pow(double base, int64_t exponent);
int64_t abs(int64_t n);

#endif //LIBNX_MATH_H
