// This file is part of noxos and licensed under the MIT open source license

#ifndef LIBNX_MEMORY_H
#define LIBNX_MEMORY_H

#include "public/nox/stdtypes.h"

void    memcpy  (void* dest, void* src, uint64_t n);
void    memset  (void* dest, uint8_t data, uint64_t n);
bool    memcmp  (void* a, void* b, uint64_t n);
void*   malloc  (uint64_t size);
void    free    (void* addr);

#endif //LIBNX_MEMORY_H
