// This file is part of noxos and licensed under the MIT open source license

#include "public/nox/math.h"

int64_t min(int64_t a, int64_t b) {
    return a < b ? a : b;
}

int64_t max(int64_t a, int64_t b) {
    return a > b ? a : b;
}
double pow(double base, int64_t exponent) {
    double result = 1;

    if (exponent >= 0) {
        for (int i = 0; i < exponent; i++) {
            result *= base;
        }
    } else {
        for (int i = 0; i < abs(exponent); i++) {
            result /= base;
        }
    }
    return result;
}

int64_t abs(int64_t n) {
    if (n < 0) {
        return n * -1;
    }
    return n;
}
